<?php

declare(strict_types=1);

namespace App\Policies;

use Illuminate\Foundation\Auth\User as AuthUser;
use App\Models\CashRecord;
use Illuminate\Auth\Access\HandlesAuthorization;

class CashRecordPolicy
{
    use HandlesAuthorization;
    
    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:CashRecord');
    }

    public function view(AuthUser $authUser, CashRecord $cashRecord): bool
    {
        return $authUser->can('View:CashRecord');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:CashRecord');
    }

    public function update(AuthUser $authUser, CashRecord $cashRecord): bool
    {
        return $authUser->can('Update:CashRecord');
    }

    public function delete(AuthUser $authUser, CashRecord $cashRecord): bool
    {
        return $authUser->can('Delete:CashRecord');
    }

    public function deleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('DeleteAny:CashRecord');
    }

    public function restore(AuthUser $authUser, CashRecord $cashRecord): bool
    {
        return $authUser->can('Restore:CashRecord');
    }

    public function forceDelete(AuthUser $authUser, CashRecord $cashRecord): bool
    {
        return $authUser->can('ForceDelete:CashRecord');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:CashRecord');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:CashRecord');
    }

    public function replicate(AuthUser $authUser, CashRecord $cashRecord): bool
    {
        return $authUser->can('Replicate:CashRecord');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:CashRecord');
    }

}